Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572976 - [VM Portal] pop-up when re-opening console session "Console in use, continue?"
Summary: [VM Portal] pop-up when re-opening console session "Console in use, continue?"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-web-ui
Version: 4.2.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.3.0
: ---
Assignee: Michal Skrivanek
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 11:53 UTC by Beni Pelled
Modified: 2020-08-03 15:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-02 12:50:08 UTC
oVirt Team: UX
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)
Console_error-UseRrole (17.25 KB, image/png)
2018-04-29 11:53 UTC, Beni Pelled
no flags Details

Description Beni Pelled 2018-04-29 11:53:08 UTC
Created attachment 1428389 [details]
Console_error-UseRrole

Description of problem:
Reopening console session displays a pop-up window with the message "Console in use, continue?" although no one else is connected to the machine,

This bug has been "handled" [1] but only when the user has UseRrole permissions, when a user has SuperUser permissions he is still having the same bug,
In addition, when a user has UseRrole permissions, an error window appears (attached).


[1] https://bugzilla.redhat.com/show_bug.cgi?id=1543038

Version-Release number of selected component (if applicable):

1.3.9-1 (Red Hat Virtualization VM Portal)
4.2.3-0.1.el7 (Red Hat Virtualization Manager Web Administration)

How reproducible:


Steps to Reproduce:
1. Turn on VM (which is currently turned off).
2. Hit the 'Console' button.
3. Close the console window.
4. Hit the 'Console' button again and you'll see the popup window.


Actual results:


Expected results:


Additional info:

Comment 1 Michal Skrivanek 2018-04-29 17:10:57 UTC
(In reply to Beni Pelled from comment #0)
> Created attachment 1428389 [details]
> Console_error-UseRrole
> 
> Description of problem:
> Reopening console session displays a pop-up window with the message "Console
> in use, continue?" although no one else is connected to the machine,
> 
> This bug has been "handled" [1] but only when the user has UseRrole
> permissions, when a user has SuperUser permissions he is still having the
> same bug,
> In addition, when a user has UseRrole permissions, an error window appears
> (attached).

so is that the same issue as was supposed to be fixed in https://github.com/oVirt/ovirt-web-ui/issues/477 ? Are you saying it is not fixed? Why don't you reopen it upstream?

> [1] https://bugzilla.redhat.com/show_bug.cgi?id=1543038
> 
> Version-Release number of selected component (if applicable):
> 
> 1.3.9-1 (Red Hat Virtualization VM Portal)
> 4.2.3-0.1.el7 (Red Hat Virtualization Manager Web Administration)
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1. Turn on VM (which is currently turned off).
> 2. Hit the 'Console' button.
> 3. Close the console window.

how log do you wait here before reopening?

> 4. Hit the 'Console' button again and you'll see the popup window.

Comment 2 Beni Pelled 2018-04-30 06:03:37 UTC
(In reply to Michal Skrivanek from comment #1)
> (In reply to Beni Pelled from comment #0)
> > Created attachment 1428389 [details]
> > Console_error-UseRrole
> > 
> > Description of problem:
> > Reopening console session displays a pop-up window with the message "Console
> > in use, continue?" although no one else is connected to the machine,
> > 
> > This bug has been "handled" [1] but only when the user has UseRrole
> > permissions, when a user has SuperUser permissions he is still having the
> > same bug,
> > In addition, when a user has UseRrole permissions, an error window appears
> > (attached).
> 
> so is that the same issue as was supposed to be fixed in
> https://github.com/oVirt/ovirt-web-ui/issues/477 ? Are you saying it is not
> fixed? Why don't you reopen it upstream?
The spoken env. is rhv and not ovirt, I was told to open a new bug and add reference to the original bug.
If necessary, it's possible to continue the treatment on the original bug.
> 
> > [1] https://bugzilla.redhat.com/show_bug.cgi?id=1543038
> > 
> > Version-Release number of selected component (if applicable):
> > 
> > 1.3.9-1 (Red Hat Virtualization VM Portal)
> > 4.2.3-0.1.el7 (Red Hat Virtualization Manager Web Administration)
> > 
> > How reproducible:
> > 
> > 
> > Steps to Reproduce:
> > 1. Turn on VM (which is currently turned off).
> > 2. Hit the 'Console' button.
> > 3. Close the console window.
> 
> how log do you wait here before reopening?
It happens whether I wait a second or more than a minute.
> 
> > 4. Hit the 'Console' button again and you'll see the popup window.

Comment 3 Michal Skrivanek 2018-11-02 12:50:08 UTC
ryan, this is vm portal, not cockpit. Moving to UX. 

Update has been shipped in 4.2.6, closing

Comment 4 Daniel Gur 2019-08-28 13:11:35 UTC
sync2jira

Comment 5 Daniel Gur 2019-08-28 13:15:47 UTC
sync2jira


Note You need to log in before you can comment on or make changes to this bug.